Package org.jfree.layouting.layouter.style.resolver

## Class AbstractStyleResolver

- java.lang.Object
- - org.jfree.layouting.layouter.style.resolver.AbstractStyleResolver

- All Implemented Interfaces:
    `StyleResolver`, `StatefullComponent`
  Direct Known Subclasses:
    `DefaultStyleResolver`, `FlatStyleResolver`

      public abstract class AbstractStyleResolver
      extends java.lang.Object
      implements StyleResolver

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `protected static class` | `AbstractStyleResolver.AbstractStyleResolverState` |

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `AbstractStyleResolver​()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected boolean` | `containsAttrFunction​(CSSValue value)` |
    `protected void` | `copyStyleInformation​(LayoutStyle target, CSSDeclarationRule rule, LayoutElement element)` |
    `LayoutContext` | `createAnonymousContext​(ContextId id, LayoutContext parent)` |
    `protected void` | `fillState​(AbstractStyleResolver.AbstractStyleResolverState state)` |
    `protected DocumentContext` | `getDocumentContext​()` |
    `LayoutStyle` | `getInitialStyle​()` |
    `protected StyleKey[]` | `getKeys​()` |
    `protected LayoutProcess` | `getLayoutProcess​()` |
    `protected NamespaceCollection` | `getNamespaces​()` |
    `void` | `initialize​(LayoutProcess layoutProcess)` |
    `protected void` | `loadInitialStyle​()` |
    `protected abstract void` | `resolveOutOfContext​(LayoutElement element)` |
    `protected CSSValue` | `resolveValue​(CSSValue value, LayoutElement element)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.jfree.layouting.StatefullComponent

      `saveState`

    - ### Methods inherited from interface org.jfree.layouting.layouter.style.resolver.StyleResolver

      `deriveInstance, isPseudoElementStyleResolvable, resolvePageStyle, resolveStyle`

- - ### Constructor Detail

    - #### AbstractStyleResolver

          protected AbstractStyleResolver​()

  - ### Method Detail

    - #### createAnonymousContext

          public LayoutContext createAnonymousContext​(ContextId id,
                                                      LayoutContext parent)

      Specified by:
        `createAnonymousContext` in interface `StyleResolver`

    - #### initialize

          public void initialize​(LayoutProcess layoutProcess)

      Specified by:
        `initialize` in interface `StyleResolver`

    - #### loadInitialStyle

          protected void loadInitialStyle​()

    - #### copyStyleInformation

          protected void copyStyleInformation​(LayoutStyle target,
                                              CSSDeclarationRule rule,
                                              LayoutElement element)

    - #### resolveValue

          protected CSSValue resolveValue​(CSSValue value,
                                          LayoutElement element)
                                   throws FunctionEvaluationException

      Throws:
        `FunctionEvaluationException`

    - #### containsAttrFunction

          protected boolean containsAttrFunction​(CSSValue value)

    - #### getLayoutProcess

          protected LayoutProcess getLayoutProcess​()

    - #### getInitialStyle

          public LayoutStyle getInitialStyle​()

      Specified by:
        `getInitialStyle` in interface `StyleResolver`

    - #### getDocumentContext

          protected DocumentContext getDocumentContext​()

    - #### getKeys

          protected StyleKey[] getKeys​()

    - #### getNamespaces

          protected NamespaceCollection getNamespaces​()

    - #### fillState

          protected void fillState​(AbstractStyleResolver.AbstractStyleResolverState state)

    - #### resolveOutOfContext

          protected abstract void resolveOutOfContext​(LayoutElement element)